List Incentive Claims (Admin)
curl --request GET \
--url https://cdn.tailoredd.com/apiV2/admin/incentive-claimsimport requests
url = "https://cdn.tailoredd.com/apiV2/admin/incentive-claims"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cdn.tailoredd.com/apiV2/admin/incentive-claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Rating must be between 1 and 5"
}
}Incentives
List incentive claims
List incentive claims for a merchant filterable by status, date range, and fulfillment state.
GET
/
admin
/
incentive-claims
List Incentive Claims (Admin)
GET {BASE_URL}/admin/incentive-claims
Query parameters
string
Filter by claim status. See values below.
integer
Default
50.integer
Page number.
Claim status values
| Status | Meaning |
|---|---|
pending_communication | Awaiting review request email. |
communication_sent | Email sent, awaiting reviews. |
reviews_pending | Some reviews submitted, not all complete. |
eligible_for_fulfillment | All reviews done — awaiting coupon. |
fulfilled | Coupon issued to customer. |
expired | Claim window closed. |
Was this page helpful?
⌘I